Log a track play
curl --request POST \
--url https://open.beatpass.ca/api/v1/tracks/plays/{track}/log \
--header 'Authorization: Bearer <token>'import requests
url = "https://open.beatpass.ca/api/v1/tracks/plays/{track}/log"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://open.beatpass.ca/api/v1/tracks/plays/{track}/log', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success"
}Track Plays
Log a track play
POST
/
tracks
/
plays
/
{track}
/
log
Log a track play
Authorizations
API access is invite-only. Contact contact@beatpass.ca to request access. Once approved, generate tokens from Account Settings → Developers. Include as: Authorization: Bearer {token}. Tokens expire after 90 days.
Path Parameters
Track ID
Example:
1
Response
Play logged successfully
Example:
"success"
Last modified on July 21, 2026
Was this page helpful?
⌘I